--[[----------------------------------------------------------------------------

WFRxDocStoreImpTest.lua

--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2015 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

------------------------------------------------------------------------------]]

	-- WF.core.self_test
local WFRxTestCase = require 'WFRxTestCase'

	-- WF.sqlite.doc_store
local WFRxDocStoreTestFactory = require 'WFRxDocStoreTestFactory'

--------------------------------------------------------------------------------

local WFRxDocStoreImpTest = WFRxDocStoreTestFactory( 
								'WFRxDocStoreImp', 
								{ testNonTransitableData = true,
									testChangesFeed = true } )
	-- Most of this test suite is shared with WFRxDocStoreImpTest,
	-- but we add some additional tests here for that we can't replicate
	-- in the main test. (See the testNonTransitableData flag.)

return WFRxTestCase.wrapSuite( WFRxDocStoreImpTest )
